Skip to main content
POST
Send a consumer's reconciliation data (hashed email).

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string
default:2.0.0
required

Path Parameters

consumer_id
string
required
Required string length: 2 - 100
Pattern: ^[a-zA-Z0-9_-]+$
Example:

"consumer-12345"

Body

application/json

Reconciliation data: the format of reconciliation_value depends on reconciliation_key.

reconciliation_key
string
required

Kind of reconciliation data: the consumer's email address.

Allowed value: "email"
Example:

"email"

reconciliation_value
string
required

SHA-256 hash of the consumer's email address, as 64 hexadecimal characters. Hash the address once all whitespace is removed and it is in lowercase: the example is the hash of jane.doe@example.com.

Pattern: ^[0-9a-fA-F]{64}$
Example:

"86e0b9e56c17cc4d12387e1949b85053fbe73bc3ce5a1188713a9d300cc6133d"

Response

The value is stored for the consumer.

reconciliation_key
enum<string>
required

Kind of reconciliation data.

Available options:
email
Example:

"email"

reconciliation_value
string
required

Stored SHA-256 hash of the consumer's email address, in lowercase hexadecimal.

Example:

"86e0b9e56c17cc4d12387e1949b85053fbe73bc3ce5a1188713a9d300cc6133d"